apiVersion: v1
kind: PersistentVolume
metadata:
   name: ingester-pv-0
spec:
   capacity:
      storage: 2Gi 
   volumeMode: Filesystem
   accessModes:
   - ReadWriteOnce
   persistentVolumeReclaimPolicy: Retain
   storageClassName: {{ .Values.global.DEFAULT_STORAGE_CLASS }}
   local:
      path: {{ .Values.global.IMXC_INGESTER_PV_PATH1 }}
   nodeAffinity:
      required:
         nodeSelectorTerms:
         - matchExpressions:
            - key: {{ .Values.global.affinity_key }}
              operator: In
              values:
              - {{ .Values.global.affinity_value1 }}
---
apiVersion: v1
kind: PersistentVolume
metadata:
   name: ingester-pv-1
spec:
   capacity:
      storage: 2Gi
   volumeMode: Filesystem
   accessModes:
   - ReadWriteOnce
   persistentVolumeReclaimPolicy: Retain
   storageClassName: {{ .Values.global.DEFAULT_STORAGE_CLASS }}
   local:
      path: {{ .Values.global.IMXC_INGESTER_PV_PATH2 }}
   nodeAffinity:
      required:
         nodeSelectorTerms:
         - matchExpressions:
            - key: {{ .Values.global.affinity_key }}
              operator: In
              values:
              - {{ .Values.global.affinity_value2 }}
---
apiVersion: v1
kind: PersistentVolume
metadata:
   name: ingester-pv-2
spec:
   capacity:
      storage: 2Gi
   volumeMode: Filesystem
   accessModes:
   - ReadWriteOnce
   persistentVolumeReclaimPolicy: Retain
   storageClassName: {{ .Values.global.DEFAULT_STORAGE_CLASS }}
   local:
      path: {{ .Values.global.IMXC_INGESTER_PV_PATH3 }}
   nodeAffinity:
      required:
         nodeSelectorTerms:
         - matchExpressions:
            - key: {{ .Values.global.affinity_key }}
              operator: In
              values:
              - {{ .Values.global.affinity_value3 }}
